# Uses of Class
com.sun.java.help.impl.TagProperties

Packages that use TagProperties
Package
Description
com.sun.java.help.impl
Implementation classes for JavaHelp.

## Uses of TagProperties in com.sun.java.help.impl

Fields in com.sun.java.help.impl declared as TagProperties
Modifier and Type
Field
Description
`TagProperties`
Tag.`atts`
The tag attributes, in identifier, value pairs.
Methods in com.sun.java.help.impl with parameters of type TagProperties
Modifier and Type
Method
Description
`protected void`
DocumentParser.`setXmlEntities(TagProperties attr)`
`protected abstract void`
DocumentParser.`tag(String name, TagProperties atts, boolean endTag, boolean emptyTag)`
This method emits a tag It should be overridden by the subclass
`protected void`
Parser.`tag(String name, TagProperties atts, boolean endTag, boolean emptyTag)`
Constructors in com.sun.java.help.impl with parameters of type TagProperties
Modifier
Constructor
Description
``
`Tag(String name, TagProperties atts, boolean isEnd, boolean isEmpty)`
Sets the tag, position, and type.